# FILE: options.tcl
#
# A resource file for the OOMMF project.
#
# Configurable options of Oc_Classes may be set in this file via calls to
# [Oc_Option Add].  

# The port on which the OOMMF host server listens for connections
Oc_Option Add * Net_Host port 15136

# The (partial) Tcl command used to launch a browser for HTML files.
# Oc_Option Add * {} htmlBrowserCmd {Oc_Application Exec mmhelp}
# Oc_Option Add * {} htmlBrowserCmd {exec netscape}
# Oc_Option Add * {} htmlBrowserCmd {exec {C:\Program Files\Plus!\Microsoft Internet\IEXPLORE.EXE}}

# The file: URLs generated by the Oc_Class Oc_Url follow RFC 1738 and
# RFC 1808, so that they look like file://localhost/path/to/file.html .
# Change the value to 1 to generate file: URLs as Microsoft Internet 
# Explorer does: file:/path/to/file.html
Oc_Option Add * Oc_Url msieCompatible 0

# Evalute the file ./local/options.tcl if it exists.  Users of the OOMMF
# software may create and edit that file to control their own configuration
# choices.  That file will not be overwritten by distributions of future 
# versions of OOMMF software.

set fn [file join [file dirname [Oc_DirectPathname [info script]]] local \
        options.tcl]
if {[file readable $fn]} {
    if {[catch {source $fn} msg]} {
        error "Error sourcing $fn:
	$msg"
    }
}

