/* FILE: stopwatch.h                    -*-Mode: c++-*-
 *
 * StopWatch class
 * 
 * NOTICE: Please see the file ../../LICENSE
 *
 * Last modified on: $Date: 1998/05/31 21:42:02 $
 * Last modified by: $Author: donahue $
 */

#ifndef _NB_STOPWATCH
#define _NB_STOPWATCH

#include "evoc.h"

/* End includes */     /* Optional directive to build.tcl */

//////////////////////////////////////////////////////////////////////////
// StopWatch timing class
class Nb_StopWatch {
  // The routine uses the system independent Oc_Times function
  // to track cpu and wall (elapsed) times.
private:
  static const ClassDoc class_doc;
  BOOL running;  // 1=>running, 0=>stopped
  Oc_TimeVal cpu_total,wall_total;   // Total accumulated times.
  Oc_TimeVal cpu_last,wall_last;  // Clock values when watch was
                                 /// last started.
public:
  Nb_StopWatch(BOOL _running=0);
  void Stop();
  void Start();
  BOOL IsRunning() const { return running; }
  void GetTimes(Oc_TimeVal &cpu,Oc_TimeVal &wall) const;
};

#endif // _NB_STOPWATCH
