# This file is sourced by the OOMMF account server to determine what
# processes it is permitted to "export".  That is, it defines a list of
# programs on the local host which it will launch in response to a request
# received over a network socket. 
#
# The entries in this list are stored as a Tcl array which maps an alias
# by which a program is known remotely to information needed to launch
# it locally.

# The variable master(pdir) is already set to the name of this directory by
# the script which sources this file.
#
# The variable master(root) is already set to the name of the root of the
# oommf distribution.

set tclsh_candidates [glob \
[file join [file dirname [file dirname [info library]]] bin tclsh*]]
foreach tclsh $tclsh_candidates {
    if {[file executable $tclsh]} {
        break
    }
}

set Omf_export_list [list \
    mmProbEd    [list $tclsh [file join $master(root) app oommf oommf.tcl] \
			mmProbEd] \
    mmSolve2D	[list $tclsh [file join $master(root) app oommf oommf.tcl] \
			mmSolve2D -notk] \
    mmDisp	[list $tclsh [file join $master(root) app oommf oommf.tcl] \
			mmDisp --server] \
    mmGraph	[list $tclsh [file join $master(root) app oommf oommf.tcl] \
			mmGraph] \
    mmDataTable	[list $tclsh [file join $master(root) app oommf oommf.tcl] \
			mmDataTable] \
    mmArchive   [list [info nameofexecutable] [file join $master(pdir) \
                        threads mmarchive.tcl]] \
]

